Method: brands.delete

  • This content explains how to delete a brand.

  • Deleting a brand with associated agents or locations requires setting the force parameter to true.

  • The HTTP request method is DELETE and targets the specified brand name.

  • The brand is identified by a unique name parameter in the path.

  • An optional force query parameter controls whether associated agents and locations are also deleted.

Deletes a brand.

If the brand has any associated agents or locations, the delete request fails unless force is true.

HTTP request

DELETE https://businesscommunications.googleapis.com/v1/{name=brands/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique identifier of the brand. If the brand identifier is "1234", this parameter resolves to "brands/1234".

Query parameters

Parameters
force

boolean

If true, any agents and locations associated with this brand are also deleted.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.